import type { JSONObject } from '../../../helpers/json';
import { ScalewayError } from '../scw-error';
/**
 * OutOfStock error happens when stocks are empty for the resource.
 *
 * @public
 */
export declare class OutOfStockError extends ScalewayError {
    readonly status: number;
    readonly body: JSONObject;
    readonly resource: string;
    constructor(status: number, body: JSONObject, resource: string);
    static fromJSON(status: number, obj: Readonly<JSONObject>): OutOfStockError | null;
}
